using System;
/*
** WavpackContext.cs
**
** Copyright (c) 2010 Peter McQuillan
**
** All Rights Reserved.
**
** Distributed under the BSD Software License (see license.txt)
***/
class WavpackContext
{
	internal WavpackConfig config = new WavpackConfig();
	internal WavpackStream stream = new WavpackStream();
	internal System.String error_message = "";
    internal System.IO.BinaryReader infile;
	internal System.IO.FileStream outfile;
	internal System.IO.FileStream correction_outfile;
	internal long total_samples; // was uint32_t in C
	internal int lossy_blocks;
	internal int wvc_flag;
	internal long block_samples;
	internal long acc_samples;
	internal long filelen;
	internal long file2len;
	internal short stream_version;
	internal int byte_idx = 0; // holds the current buffer position for the input WAV data
}