using System;
/*
** WavpackStream.cs
**
** Copyright (c) 2010 Peter McQuillan
**
** All Rights Reserved.
**
** Distributed under the BSD Software License (see license.txt)
***/
class WavpackStream
{
	public WavpackStream()
	{
		InitBlock();
	}
	private void  InitBlock()
	{
		blockbuff = new sbyte[Defines.BIT_BUFFER_SIZE + 1];
		blockend = Defines.BIT_BUFFER_SIZE;
		block2buff = new sbyte[Defines.BIT_BUFFER_SIZE + 1];
		block2end = Defines.BIT_BUFFER_SIZE;
		decorr_passes = new decorr_pass[]{dp1, dp2, dp3, dp4, dp5, dp6, dp7, dp8, dp9, dp10, dp11, dp12, dp13, dp14, dp15, dp16};
	}
	internal WavpackHeader wphdr = new WavpackHeader();
	internal Bitstream wvbits = new Bitstream();
	internal Bitstream wvcbits = new Bitstream();
	internal delta_data dc = new delta_data();
	internal words_data w = new words_data();
	//UPGRADE_NOTE: The initialization of  'blockbuff' was moved to method 'InitBlock'. "ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?index='!DefaultContextWindowIndex'&keyword='jlca1005'"
	internal sbyte[] blockbuff;
	//UPGRADE_NOTE: The initialization of  'blockend' was moved to method 'InitBlock'. "ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?index='!DefaultContextWindowIndex'&keyword='jlca1005'"
	internal int blockend;
	//UPGRADE_NOTE: The initialization of  'block2buff' was moved to method 'InitBlock'. "ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?index='!DefaultContextWindowIndex'&keyword='jlca1005'"
	internal sbyte[] block2buff;
	//UPGRADE_NOTE: The initialization of  'block2end' was moved to method 'InitBlock'. "ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?index='!DefaultContextWindowIndex'&keyword='jlca1005'"
	internal int block2end;
	internal int bits;
	internal int lossy_block;
	internal int num_terms = 0;
	internal long sample_index; // was uint32_t in C
	internal decorr_pass dp1 = new decorr_pass();
	internal decorr_pass dp2 = new decorr_pass();
	internal decorr_pass dp3 = new decorr_pass();
	internal decorr_pass dp4 = new decorr_pass();
	internal decorr_pass dp5 = new decorr_pass();
	internal decorr_pass dp6 = new decorr_pass();
	internal decorr_pass dp7 = new decorr_pass();
	internal decorr_pass dp8 = new decorr_pass();
	internal decorr_pass dp9 = new decorr_pass();
	internal decorr_pass dp10 = new decorr_pass();
	internal decorr_pass dp11 = new decorr_pass();
	internal decorr_pass dp12 = new decorr_pass();
	internal decorr_pass dp13 = new decorr_pass();
	internal decorr_pass dp14 = new decorr_pass();
	internal decorr_pass dp15 = new decorr_pass();
	internal decorr_pass dp16 = new decorr_pass();
	//UPGRADE_NOTE: The initialization of  'decorr_passes' was moved to method 'InitBlock'. "ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?index='!DefaultContextWindowIndex'&keyword='jlca1005'"
	internal decorr_pass[] decorr_passes;
}